## Contribution Guidelines

We welcome contributions to make Transcript Tracer even better! Please follow these guidelines if you’re interested in contributing:

### 1. Fork the Repository

Fork the repository and create your own branch for your feature or bug fix:

```bash
git checkout -b feature-branch
```

### 2. Make Changes

Implement your changes and make sure the code follows the existing coding standards. Be sure to add tests if you’re adding new features.

### 3. Run Tests

Make sure your code passes all tests:

```bash
npm run test
```

### 4. Submit a Pull Request

Once your changes are ready, submit a pull request with a clear description of the issue your code solves or the feature it adds.

### Code of Conduct

We expect all contributors to adhere to the [Contributor Covenant Code of Conduct](https://www.contributor-covenant.org/). Please ensure you read it before participating in the project.
